VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1395
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6240
   LinkTopic       =   "Form1"
   ScaleHeight     =   1395
   ScaleWidth      =   6240
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   375
      Left            =   5280
      TabIndex        =   8
      Top             =   720
      Width           =   615
   End
   Begin VB.CommandButton cmdSet 
      Caption         =   "Set"
      Height          =   375
      Left            =   3600
      TabIndex        =   7
      Top             =   720
      Width           =   615
   End
   Begin VB.CommandButton cmdGet 
      Caption         =   "Get"
      Height          =   375
      Left            =   4440
      TabIndex        =   6
      Top             =   720
      Width           =   615
   End
   Begin VB.TextBox txtPropertyValue 
      Height          =   285
      Left            =   1320
      TabIndex        =   4
      Text            =   "MyValue"
      Top             =   960
      Width           =   1935
   End
   Begin VB.TextBox txtPropertyName 
      Height          =   285
      Left            =   1320
      TabIndex        =   2
      Text            =   "MyProperty"
      Top             =   600
      Width           =   1935
   End
   Begin VB.TextBox txtDatabase 
      Height          =   285
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   5175
   End
   Begin VB.Label Label1 
      Caption         =   "Property Value"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   5
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Property Name"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Database"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdDelete_Click()
Dim db As DAO.Database
Dim new_property As DAO.Property

    ' Open the database.
    Set db = DBEngine.Workspaces(0).OpenDatabase( _
        txtDatabase.Text, ReadOnly:=False)

    ' Get the property.
    On Error Resume Next
    db.Properties.Delete txtPropertyName.Text
    If Err.Number = 0 Then
        MsgBox "OK"
    Else
        MsgBox Err.Description
    End If

    db.Close
End Sub

Private Sub cmdGet_Click()
Const ERR_PROPERTY_NOT_FOUND As Long = 3270

Dim db As DAO.Database
Dim new_property As DAO.Property

    ' Open the database.
    Set db = DBEngine.Workspaces(0).OpenDatabase( _
        txtDatabase.Text, ReadOnly:=False)

    ' Get the property.
    On Error Resume Next
    txtPropertyValue.Text = db.Properties(txtPropertyName.Text).Value
    If Err.Number = ERR_PROPERTY_NOT_FOUND Then
        txtPropertyValue.Text = "<not found>"
    ElseIf Err.Number <> 0 Then
        txtPropertyValue.Text = "<" & Err.Description & ">"
    End If

    db.Close
End Sub

Private Sub cmdSet_Click()
Dim db As DAO.Database
Dim new_property As DAO.Property

    ' Open the database.
    Set db = DBEngine.Workspaces(0).OpenDatabase( _
        txtDatabase.Text, ReadOnly:=False)

    ' See if the property is already present.
    On Error Resume Next
    Set new_property = db.Properties(txtPropertyName.Text)

    If Err.Number = 0 Then
        On Error GoTo 0

        ' Set the new value.
        new_property.Value = txtPropertyValue.Text
    Else
        On Error GoTo 0

        ' Create a new property.
        Set new_property = db.CreateProperty( _
            Name:=txtPropertyName.Text, _
            Type:=dbText, _
            Value:=txtPropertyValue.Text)

        ' Save the property.
        db.Properties.Append new_property
    End If

    db.Properties(txtPropertyName.Text).Value = txtPropertyValue.Text

    db.Close

    txtPropertyValue.Text = ""
End Sub

Private Sub Form_Load()
Dim db_name As String

    db_name = App.Path
    If Right$(db_name, 1) <> "\" Then db_name = db_name & "\"
    txtDatabase.Text = db_name & "books.mdb"
End Sub
